Bug 104356 - [PATCH] devel/py-setuptools plist for Python 2.5 and above
[PATCH] devel/py-setuptools plist for Python 2.5 and above
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Alonso Cardenas Marquez
Depends on:
  Show dependency treegraph
Reported: 2006-10-12 17:40 UTC by pjd
Modified: 2006-11-07 14:50 UTC (History)
1 user (show)

See Also:

py-setuptools.patch (22.08 KB, patch)
2006-10-12 17:40 UTC, pjd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pjd 2006-10-12 17:40:17 UTC
(Maintainer CC'd.)

setuptools's installation process checks the Python version, and for 2.5 and
above, installs itself as a single egg archive, instead of an unpacked
directory tree.  In this case, the port's current packing list is wrong.

Fix: Conditionalize the port's packing list on the Python version, using PLIST_SUB.
Comment 1 Edwin Groothuis freebsd_committer 2006-10-12 17:42:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer 


Adding to audit trail from misfiled PR ports/104360:

Date: Thu, 12 Oct 2006 12:58:41 -0500
Comment 2 Alonso Cardenas Marquez freebsd_committer 2006-11-07 14:48:52 UTC
State Changed
From-To: open->closed

Committed with few modifications, thanks
Comment 3 Alonso Cardenas Marquez freebsd_committer 2006-11-07 14:48:53 UTC
acm         2006-11-07 14:48:36 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-setuptools  Makefile pkg-plist 
  - Fix pkg-plist problems with python >= 2.5
  PR:             ports/104356
  Submitted by:   Piet Delport <pjd__at__satori.za.net>
  Revision  Changes    Path
  1.10      +12 -1     ports/devel/py-setuptools/Makefile
  1.7       +115 -114  ports/devel/py-setuptools/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"